## don't activate some services
#rm -f $MOUNTDIR/etc/rcsysinit.d/{S35hdparm,S30loadmodules,S40swap}
#rm -f $MOUNTDIR/etc/rc*.d/{S12random,S13sysinit,S20network,S44acpid,S55sshd}
#rm -f $MOUNTDIR/etc/rc*.d/{K00splash,K01acpid,K90random,K96swap,K97network,K97udev,K98localnet}

# change inittab so it opens tty root shells instead of asking for login
#
echo "Forcing \`inittab' to open tty root shells with no login..."
sed -i 's,^\([1-3]\):.*,\1:2345:respawn:/sbin/mingetty --autologin root --loginprog /sbin/login.live --noclear tty\1,' $MOUNTDIR/etc/inittab
sed -i '/^[4-6]:.*/d' $MOUNTDIR/etc/inittab

# configure for runlevel 5 boot
sed -i "s|id:3\(:initdefault.*\)|id:5\1|" $MOUNTDIR/etc/inittab

# configure GDM for autologin
#
cat > $MOUNTDIR/etc/gdm/custom.conf << _EOF
[daemon]
AutomaticLoginEnable=true
AutomaticLogin=root
_EOF

## provide a basilar gtkrc (to be improved)
#cat > $MOUNTDIR/etc/gtk-2.0/gtkrc << _EOF
#gtk-theme-name = "Default"
#gtk-icon-theme-name = "gnome"
#_EOF
chroot $MOUNTDIR gtk-update-icon-cache /usr/share/icons/hicolor

# FIXME: ensure alternatives are correclty set
chroot $MOUNTDIR update-alternatives-set-dri

# don't stop msysklogd before halt/shutdown
#
rm -f $MOUNTDIR/etc/rc0.d/K93msysklogd
rm -f $MOUNTDIR/etc/rc6.d/K93msysklogd

# set timezone according to LANGUAGE (default is UTC)
#
case $LANGUAGE in
   it) timezone=Europe/Rome ;;
   es) timezone=Europe/Madrid ;;
   *)  timezone=UTC ;;
esac
echo $timezone > $MOUNTDIR/etc/timezone
cp $MOUNTDIR/usr/share/zoneinfo/$timezone $MOUNTDIR/etc/localtime

# enable CDROM autoeject on shutdown/reboot
#
sed -i -e '/^halt .*/i \
/sbin/eject_cd.sh 2>&1 >/dev/null' $MOUNTDIR/etc/init.d/halt

sed -i -e '/^reboot .*/i \
/sbin/eject_cd.sh 2>&1 >/dev/null' $MOUNTDIR/etc/init.d/reboot

# installer icon on root desktop 
# FIXME: move this somewhere else
mkdir -p $MOUNTDIR/root/Desktop/
cp $MOUNTDIR/usr/share/applications/openmamba-installer.desktop $MOUNTDIR/root/Desktop/
cp $MOUNTDIR/usr/share/applications/openmamba-bootrecover.desktop $MOUNTDIR/root/Desktop/

# prebuild postplug sound CARDID_DB (with some ugly trick to make it work from chroot)
[ -e $MOUNTDIR/lib/modules/`uname -r` ] || ln -s ${KERNEL_MAJVER}${KERNEL_EXTRAVER} $MOUNTDIR/lib/modules/`uname -r`
echo "SOUND_BUILD_CARDID_DB_ONLY=1 /etc/postplug/postplug.d/sound" >> $MOUNTDIR/tmp/sounddb.sh
chroot $MOUNTDIR sh /tmp/sounddb.sh
rm -f $MOUNTDIR/tmp/sounddb.sh
[ -L $MOUNTDIR/lib/modules/`uname -r` ] && rm $MOUNTDIR/lib/modules/`uname -r`

# remove unused initramfs generated by kernel
rm -f $MOUNTDIR/boot/initramfs-${KERNEL_MAJVER}${KERNEL_EXTRAVER}.img*

# remove failsafe image to save space for livecd
rm -f $MOUNTDIR/boot/initramfs-${KERNEL_MAJVER}${KERNEL_EXTRAVER}-failsafe.img*

# install all GConf rules
cat > $MOUNTDIR/tmp/gconftool.sh << _EOF
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule /etc/gconf/schemas/* >/dev/null
_EOF
chroot $MOUNTDIR sh /tmp/gconftool.sh
rm $MOUNTDIR/tmp/gconftool.sh

prelink
